apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.33.0 (3ce457399)
  labels:
    io.kompose.service: database
  name: database
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: database
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.33.0 (3ce457399)
      labels:
        io.kompose.network/teslamate-default: "true"
        io.kompose.service: database
    spec:
      containers:
        - env:
            - name: POSTGRES_DB
              value: teslamate
            - name: POSTGRES_PASSWORD
              value: ganopacha007
            - name: POSTGRES_USER
              value: teslamate
          image: postgres:14
          name: database
          volumeMounts:
            - mountPath: /var/lib/postgresql/data
              name: teslamate-db
      restartPolicy: Always
      volumes:
        - name: teslamate-db
          persistentVolumeClaim:
            claimName: teslamate-db
